Package com.avaya.clientservices.collaboration

## Interface CollaborationServiceListener

-     public interface CollaborationServiceListener

  CollaborationServiceListener is registered as an observer of `CollaborationService` status update notifications.

  The client application is notified about status updates reported by the collaboration server through the CollaborationServiceListener object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCollaborationServiceCollaborationCreationFailed​(CollaborationService collaborationService)` | Reports that an error occurred during automatic creation of the collaboration.
    `void` | `onCollaborationServiceCollaborationCreationFailed​(CollaborationService collaborationService, CollaborationFailure collaborationFailure)` | Reports that an error occurred during automatic creation of the collaboration.
    `void` | `onCollaborationServiceCollaborationCreationSucceeded​(CollaborationService collaborationService, Collaboration collaboration)` | Reports that `Collaboration` object was created automatically.
    `void` | `onCollaborationServiceCollaborationRemoved​(CollaborationService collaborationService, Collaboration collaboration)` | Reports that `Collaboration` object was removed after ended collaboration call.

- - ### Method Detail

    - #### onCollaborationServiceCollaborationRemoved

          void onCollaborationServiceCollaborationRemoved​(CollaborationService collaborationService,
                                                          Collaboration collaboration)

      Reports that `Collaboration` object was removed after ended collaboration call.
      Parameters:
        `collaborationService` - collaboration service instance the collaboration was associated with.
        `collaboration` - collaboration object.

    - #### onCollaborationServiceCollaborationCreationSucceeded

          void onCollaborationServiceCollaborationCreationSucceeded​(CollaborationService collaborationService,
                                                                    Collaboration collaboration)

      Reports that `Collaboration` object was created automatically.
      Parameters:
        `collaborationService` - collaboration service instance the collaboration was associated with.
        `collaboration` - collaboration newly created object.

    - #### onCollaborationServiceCollaborationCreationFailed

          void onCollaborationServiceCollaborationCreationFailed​(CollaborationService collaborationService,
                                                                 CollaborationFailure collaborationFailure)

      Reports that an error occurred during automatic creation of the collaboration.
      Parameters:
        `collaborationService` - collaboration service instance the collaboration was associated with.
        `collaborationFailure` - object holding failure information.

    - #### onCollaborationServiceCollaborationCreationFailed

          void onCollaborationServiceCollaborationCreationFailed​(CollaborationService collaborationService)

      Reports that an error occurred during automatic creation of the collaboration.
      Parameters:
        `collaborationService` - collaboration service instance the collaboration was associated with.